//tablet & mobile, no anouncements column
@media #{$query_mobile} {
  //inicia COMPONENTS & PSEUDOS
  * {
    &:not([class*="vex"]) {
      // inicia CLEAR CSS HEAVY CSS
      @include filter(none !important);
      @include box-shadow(none !important);
      // termina CLEAR CSS HEAVY CSS
      &:before,
      &:after {
        @include filter(inherit !important);
        @include box-shadow(inherit !important);
      }
    }
    -ms-overflow-style: none;
    &::-webkit-scrollbar {
      display: none;
    }
    &[data-tip] {
      &:hover:not([disabled]):not([class~="active"]):not([class~="open"]) {
        &:after {
          display: none;
        }
      }
    }
  }
  .renderbox {
    &:before,
    &:after {
      @include font-size(4);
    }
  }
  .external {
    &[data-service="discord"] {
      @include justify-content(center);
      img {
        margin-left: 10px;
      }
    }
  }
  .button {
    &[data-button-font] {
      &[data-button-font*="little"] {
        @include font-size(2);
      }
      &[data-button-font*="medium"] {
        @include font-size(4);
      }
      &[data-button-font*="big"] {
        @include font-size(6);
      }
    }
  }
  form {
    input[type="text"],
    input[type="email"],
    input[type="password"],
    input[type="url"],
    input[type="radio"],
    textarea:not(.markup) {
      @include font-size(4);
    }
    textarea:not(.markup) {
      @include font-size(6);
    }
    a,
    label {
      @include font-size(2);
    }
  }
  .block {
    &[data-layout-type="form"],
    &[data-layout-type="column"] {
      padding: 15px 10px;
      width: 100%;
    }
    &[data-layout-type="wide"] {
      padding: 30px 10px;
    }
    p {
      @include font-size(6);
    }
    ol,
    ul {
      li {
        @include font-size(4);
      }
    }
    a {
      @include font-size(6);
    }
    form {
      a,
      label:not([for]),
      .error {
        @include font-size(2);
      }
    }
  }
  .editor {
    &[data-editor-style="toolbox"] {
      //overwrite toolbox styles to match norma styles
      @include flex-flow(column-reverse, nowrap);
      .toolbar {
        width: auto;
        height: 45px;
        padding: 10px 10px 0 10px;
        margin-right: 0;
        @include flex-flow(row, wrap);
        li {
          margin-bottom: 0;
          margin-right: 10px;
        }
      }
      .canvas {
        min-width: none;
        &:before {
          left: 10px;
        }
        .markup {
          padding: 0 10px;
        }
      }
    }
  }
  .controls {
    > * {
      margin-left: 10px;
    }
  }
  .comment {
    padding: 15px 10px;
    .header {
      .header-content {
        @include font-size(6);
        > *:not(:last-child) {
          margin-bottom: 15px;
        }
        h4 {
          @include font-size(4);
        }
        > p {
        }
        .actions {
          .reaction {
            @include font-size(4);
          }
          .actions-reactions {
            .reaction {
              .emoji {
              }
            }
          }
          .actions-panel {
            > li:not(:last-child) {
              margin-right: 30px;
            }
            > li {
              @include font-size(4);
              ul {
                .reaction {
                }
              }
            }
          }
        }
      }
      .header-options {
        > span {
          svg {
          }
        }
        ul {
          li {
            span {
              @include font-size(4);
            }
          }
        }
      }
    }
    .controls {
      padding: 20px 0 30px 55px;
      @include justify-content(flex-start);
      > * {
        margin-left: 0;
      }
    }
  }
  .actions {
    // @include flexbox(row, wrap, flex-start, center);
    @include flex-flow(column, nowrap);
    @include align-items(stretch);
    .actions-reactions {
      border-bottom: 4px solid negro(1);
    }
    .actions-panel {
      margin: 0;
      // @include flexbox(row, nowrap, flex-end, center);
      @include justify-content(space-around);
      .emoji-pick-list {
        @include flex(1 1 auto);
      }
      > li {
        @include flex(1 1 auto);
        @include justify-content(center);
        // @include flexbox(row, nowrap, flex-start, center);
        span,
        a {
          @include flex(1 1 auto);
          // @include flexbox(row, nowrap, flex-start, center, inline-flex);
          @include d_flex();
          @include justify-content(center);
        }
      }
    }
  }
  //inicia FORCE CARD SIZE: MEDIUM
  .card[data-card-size] {
    width: 100%;
    margin: 0 0 30px 0;
    &[class*="locked"] {
      .card-wrapper {
        > *:not(.header) {
          opacity: 0;
          @include blur(0, em);
        }
      }
    }
    &:not([data-clear]) {
      .card-wrapper {
        border-right: 0;
        border-left: 0;
        @include border-radius(0);
      }
    }
    &[data-clear] {
      .card-wrapper {
        .card-wrapper-content {
          padding-bottom: 10px;
        }
      }
    }
    .card-flags {
      .flag {
        height: 45px;
        padding: 0 10px;
        margin-right: 10px;
        p {
          margin-right: 10px;
          @include font-size();
        }
        button {
          height: 2em;
        }
      }
    }
    .card-wrapper {
      .header {
        @include box-sizing(content-box);
        min-height: 45px;
        padding: 10px;
        .avatar {
          width: 55px;
          height: 55px;
          margin-right: 10px;
        }
        .header-content {
          @include font-size(2);
          h4 {
            padding-bottom: 5px;
            @include font-size(4);
          }
        }
        .header-options {
          > span {
            padding: 5px;
            svg {
              width: 17px;
              height: 17px;
            }
          }
          ul {
            padding: 0 5px;
            li {
              span {
                @include font-size(4);
              }
            }
          }
        }
      }
      .card-wrapper-content {
        @include font-size(6);
        > p {
          margin: 0 10px;
          line-height: 22px;
          &:not(:last-child) {
            margin-bottom: 10px;
          }
        }
        .controls {
          margin: 0 10px;
          &:not(:last-child) {
            margin-bottom: 10px;
          }
        }
        .multimedia {
          margin: 0 10px;
          &:not(:last-child) {
            margin-bottom: 10px;
          }
          .media {
            &:before {
              padding: 5px 10px;
              @include font-size(2);
            }
            ~ .source {
              @include font-size(2);
            }
          }
          .source {
            padding: 10px 0 10px 10px;
            margin: 10px 0 0 10px;
            @include font-size(14);
          }
        }
        .card-wrapper-content-tags {
          margin: 0 10px;
          .tag {
            @include font-size(2);
          }
        }
      }
    }
    .actions {
      padding: 5px 15px;
      margin: 0 5px;
      .reaction {
        padding: 0 10px;
        @include font-size(2);
      }
      .actions-reactions {
        padding: 5px 10px 5px 0;
        margin-bottom: 5px;
        .reaction {
          margin: 0 5px 5px 0;
          height: 2.5em;
          .emoji {
            margin-right: 10px;
          }
        }
      }
      .actions-panel {
        height: 45px;
        > li:not(:last-child) {
          margin-right: 0;
        }
        > li {
          @include font-size(2);
          ul {
            width: 135px;
            padding: 10px 5px 5px 10px;
            .reaction {
              margin: 0 5px 5px 0;
              height: 2em;
              width: 40px;
            }
          }
        }
      }
    }
  }
  //termina FORCE CARD SIZE: MEDIUM
  //termina COMPONENTS & PSEUDOS
  @-moz-document url-prefix() {
    html {
      overflow: initial;
    }
  }
  body {
    @include box-sizing(border-box);
  }
  // inicia BODY CHILDS
  #appex {
    #navigation,
    #main {
      transition: left 0.1s linear;
    }
    &[dark-side] {
      overflow-y: hidden; //sends user to top (work on a fix)
      overflow-x: hidden;
      #navigation {
        left: calc(100% - 55px);
        padding: 0 15px 0 55px;
        #nav_open {
          position: fixed;
          top: 0;
          right: 0;
          width: 55px;
          height: 100%;
          background: transparent;
          li {
            width: inherit;
            height: inherit;
            a,
            span {
              width: inherit;
              height: inherit;
              display: block;
              background: transparent;
              svg {
                display: none;
              }
            }
          }
        }
      }
      #main {
        left: calc(100% - 55px);
      }
      .signals {
        display: none;
      }
    }
  }
  // inicia #APPEX CHILDS
  #sticky {
    height: auto;
    padding: 0 10px;
    position: relative;
    top: auto;
    left: auto;
    overflow: hidden;
    @include flexbox(column, nowrap, flex-start, stretch); //everything changes
    ~ #main,
    ~ .block {
      margin-top: 0;
    }
    ~ #main {
      min-height: calc(100vh);
    }
    h1 {
      height: 65px;
    }
    ul {
      overflow: visible;
      height: 0;
      @include flex-flow(column, nowrap);
      @include align-items(stretch);
      &[class*="active"] {
        height: auto;
      }
      li {
        margin: 0;
        border-bottom: 4px solid negro(1);
        padding: 15px 0;
        &:first-child {
          display: block;
          position: absolute;
          top: -50px;
          right: 0;
          padding: 0;
        }
        &:last-child {
          border-bottom: 0;
        }
        a:not(.button),
        span:not(.button) {
          display: block;
          text-align: center;
        }
        .button {
          width: 100%;
        }
      }
    }
  }
  #navigation {
    width: 100%;
    height: 55px;
    top: auto;
    bottom: 0;
    background: #222327;
    padding: 0 10px;
    border-top: 1px solid blanco("05");
    @include flex-flow(row, nowrap);
    @include justify-content(space-between);
    @include box-shadow(-5px -5px 25px negro(5));
    @include transition(0.5s left linear, 0.3s padding linear);
    ~ #main {
      margin: 0;
      #board {
        #wrapper {
          padding-bottom: 55px;
        }
      }
    }
    ~ .signals {
      bottom: calc(55px + 2em);
    }
    h1 {
      display: none;
    }
  }
  // inicia #NAVIGATION CHILDS
  .nav-icon {
    height: 55px;
    @include flexbox(row, nowrap, space-around, center); //everything changes
    > li {
      margin: 0;
      .page {
        &:before,
        &:after {
          width: 45px;
          height: 2px;
        }
      }
    }
    .active:not(#nav_user_pic) {
      .page {
        &:before {
          bottom: -14px;
          left: -10px;
        }
      }
    }
  }
  #nav_open {
    z-index: 2;
    @include flex(1 1 auto);
  }
  #nav_page {
    z-index: 1;
    @include flex(2 1 auto);
    li {
      margin: 0;
    }
  }
  #nav_dropdown {
    left: auto;
    right: 15px;
    bottom: calc(100% - 5px);
    padding: 30px 5px 15px;
    max-height: calc(100vh - 65px);
    border: 1px solid blanco("05");
    &[class*="active"] ~ #nav_alerts {
      li {
        &[class*="open"] {
          width: 45px;
          margin: 0;
          border-top-left-radius: 0;
          border-bottom-right-radius: 50%;
          border-color: blanco("05");
          border-style: solid;
          border-width: 0 1px 1px 1px;
          & + li {
            margin-top: 0;
          }
        }
      }
    }
    &:before {
      top: 7px;
      left: 10px;
      @include font-size(2);
    }
    ul {
      padding: 0;
      li {
        a {
          .tip {
            p {
              @include font-size(4);
            }
            span {
              @include font-size(2);
            }
          }
        }
      }
    }
  }
  #nav_alerts {
    z-index: 0;
    @include flex(2 1 auto); //cambiar a '2 1 auto' si se habilita el otro icono
    li {
      margin: 0;
    }
  }
  #nav_user {
    background: $darker;
    width: calc(100% - 55px);
    position: absolute;
    top: 0;
    left: calc(-100% + 55px);
    li {
      margin: 0;
      &:first-child {
        display: block;
      }
      &:last-child {
        margin: 0;
      }
      ul {
        top: auto;
        left: calc(-115px + 50%);
        bottom: calc(100% - 5px);
        padding: 30px 5px 15px;
        border-top-left-radius: 3px;
        @include box-shadow(none);
        &:before {
          @include font-size(2);
        }
        li {
          a,
          span {
            p {
              @include font-size(4);
            }
          }
        }
      }
    }
  }
  // inicia #NAV_USER CHILDS
  #nav_user_pic {
    margin: 0 5px 10px 5px;
    width: 45px;
    height: 45px;
    &[class*="active"] ~ li:last-child {
      margin: 0;
    }
    &[data-user] {
      .page {
        &:after {
          bottom: -4px;
          left: 0;
        }
      }
    }
    &[class*="active"] {
      width: 55px;
      height: 50px;
      margin: 0 0 5px 0;
      border-top-left-radius: 0;
      border-bottom-right-radius: 50%;
      .page {
        &:after {
          bottom: 1px;
          left: 5px;
        }
      }
      > a,
      > span {
        padding: 0 5px 5px 5px;
        img {
          width: 45px;
          height: 45px;
          margin: 0;
        }
      }
    }
  }
  // termina #NAV_USER CHILDS
  // termina #NAVIGATION CHILDS
  #main {
    left: 0;
    margin: 0;
    @include transition(0.5s left linear);
    &[data-layout-type="chat"] {
      #board {
        #wrapper {
          #content[data-layout-type="chat"] {
            padding: 0 10px;
          }
          .editor {
            .canvas {
              padding: 0 10px 10px;
            }
          }
        }
      }
    }
  }
  // inicia #MAIN CHILDS
  #sidebar {
    width: calc(100% - 55px);
    background: transparent;
    margin-left: calc(-100% + 55px);
    border-bottom: 55px solid transparent;
    padding: 0 15px;
    height: 100vh;
    &::-webkit-scrollbar {
      background-color: $darker;
    }
    &:empty {
      all: unset;
      ~ #board {
        margin-left: 0;
        max-width: none;
      }
    }
    ~ #board {
      margin-left: 0;
      max-width: none;
    }
  }
  // inicia #SIDEBAR CHILDS
  #column {
    position: relative;
    padding: 0;
    width: auto;
    height: auto;
  }
  // inicia #COLUMN CHILDS
  .nav_ {
    h2,
    h3,
    > span {
      @include font-size(2);
    }
    ul {
      .n_item {
        .n_i_wrap {
          height: 50px;
          .n_i_w_clip {
            margin: 0 15px 0 0;
          }
          .n_i_w_pic {
            width: 40px;
            height: 40px;
            margin: 0 15px 0 0;
            svg {
              margin: 10.5px;
            }
          }
          .n_i_w_content {
            @include font-size(4);
          }
        }
      }
    }
  }
  .nav_.mutuals {
    flex-grow: 1;
  }
  .sub_ {
    ul {
      .n_item {
        .n_i_wrap {
          .n_i_w_clip {
            margin: 0 24px 0 0;
          }
        }
      }
    }
  }
  // termina #COLUMN CHILDS
  // termina #SIDEBAR CHILDS
  #board {
    width: 100%;
    background: $dark;
    @include box-shadow(-5px 0 15px negro(25));
  }
  // inicia #BOARD CHILDS
  #heading {
    &[class*="user"] {
      ~ #wrapper {
        margin-top: -70px;
      }
    }
  }
  // inicia #HEADING CHILDS
  #top {
    height: auto;
    padding: 10px;
    @include flex-flow(column, nowrap);
    @include align-items(stretch);
    > *:not(:last-child) {
      margin-right: 0;
      margin-bottom: 10px;
    }
  }
  // inicia #TOP CHILDS
  #breadcrumbs {
    @include font-size(2);
  }
  #search {
    height: 35px;
    padding: 0 10px;
    @include font-size(2);
  }
  // termina #TOP CHILDS
  .profile {
    padding: 15px 10px 90px;
    &[data-layout-type="wide"] {
      .profile-stats {
        @include flex-flow(column, nowrap);
        @include align-items(stretch);
        ul {
          @include flex(1 1 auto);
          @include justify-content(center);
          &:not(:last-child) {
            margin-bottom: 15px;
            margin-left: 0;
          }
          &:last-child {
            @include flex(1 1 auto);
            @include justify-content(center);
          }
        }
      }
    }
  }
  // inicia .PROFILE CHILDS
  .profile-info {
    .u_name {
      @include font-size(12);
    }
  }
  .profile-stats {
    ul {
      li {
        padding: 0 10px;
        span {
          @include font-size(6);
          &[class~="title"] {
            @include font-size(4);
          }
        }
      }
    }
  }
  // termina .PROFILE CHILDS
  // termina #HEADING CHILDS
  #wrapper {
    padding: 15px 0 0 0;
    .block {
      padding: 0 10px;
    }
  }
  // inicia #WRAPPER CHILDS
  #secondary {
    width: 100%;
    min-width: auto;
    padding: 0 10px;
    @include font-size(2);
    > p {
      &:not(:last-child) {
        margin-bottom: 30px;
      }
    }
    .bio {
      @include font-size(4);
    }
    .avatar {
      width: 45px;
      height: 45px;
    }
  }
  #content {
    &[data-layout-type="single-column"] {
      width: 100%;
      min-width: auto;
    }
    form {
      margin-bottom: 15px;
      input[type="submit"],
      button:not(.tooltip) {
        @include border-radius(0);
      }
    }
  }
  // inicia #CONTENT CHILDS
  .toolbox {
    margin: 0 0 30px 0;
    border-right: 0;
    border-left: 0;
    @include border-radius(0);
    &[class*="tool-box-open"] {
      &:not(.renderbox) {
        &:after {
          display: none;
        }
        .tool {
          padding-left: 10px;
        }
      }
    }
    .tool {
      padding: 10px 10px 0 10px;
      &:last-child:not([class*="compact"]) {
        margin-bottom: 10px;
      }
    }
    .multimedia {
      .media {
        &:before {
          padding: 10px 10px;
          @include font-size(2);
        }
      }
      .source {
        padding: 10px 0 10px 10px;
        margin: 10px 0 0 10px;
      }
    }

    .controls {
      display: block;

      .m_block {
        justify-content: flex-end;

        &:not(:first-child) {
          margin-top: 15px;
        }
      }
    }
  }
  // inicia .TOOLBOX CHILDS
  .url-uploader {
    .supported {
      margin-bottom: 10px;
    }
  }
  // termina .TOOLBOX CHILDS
  #home-controls {
    padding: 0 10px;
    .controls {
      > * {
        margin-left: 30px;
      }
      button {
        @include font-size(4);
      }
    }
    .triggers {
      .row {
        h5 {
          @include font-size(2);
        }
        .checkbox {
          @include font-size(2);
        }
      }
    }
  }
  #feed {
    > * {
      &:last-child {
        margin-bottom: 30px;
      }
    }
    h3 {
      padding: 0 10px;
    }
  }
  // inicia #FEED CHILDS
  #masonry {
    width: 100% !important;
    ~ h3 {
      margin-top: 0;
    }
  }
  // termina #FEED CHILDS
  // termina #CONTENT CHILDS
  // termina #WRAPPER CHILDS
  // termina #BOARD CHILDS
  // termina #MAIN CHILDS
  // termina #APPEX CHILDS
  // termina BODY CHILDS
}
